#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivityVipBagCFGData
{
	//编号
	int mID;
	//VIP等级
	int mVipLevel;
	//购买次数
	int mPurchaseCount;
	//礼包id
	std::vector<int> mbagId;
};

class M_ActivityVipBagCFG
{
public:
private:
	static std::auto_ptr<M_ActivityVipBagCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityVipBagCFGData* GetData(int ID);
	boost::unordered_map<int, M_ActivityVipBagCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivityVipBagCFG* GetSingleton();
private:
	boost::unordered_map<int, M_ActivityVipBagCFGData> mMapData;
};
